From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 22 August 2007<P>

Redplasticroses, about <a href="/blend/wv.cgi?id=2007.08.22.02.51.3848">Choking</a>:<BR>
This moved me very much, and awoke ghosts and memories. This line kills me "I once thought your eyes could hold me tighter than any force on earth" - there was a time when I believed the same.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 22 August 2007<P>

aparajita, about <a href="/blend/wv.cgi?id=2007.08.21.11.36.6559">debbie</a>:<BR>
This is lovely
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 22 August 2007<P>

redplasticroses, about <a href="/blend/wv.cgi?id=2007.08.22.02.51.3848">Choking</a>:<BR>
<BR>
Oh, my dear...this aches so very much.  I am so sorry for your pain.  (((HUGS)))<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 22 August 2007<P>

thanks star.
<HR>
From: <a href="/blend/av.cgi?id=69">Savannah Haze</a><BR>
Date: 22 August 2007<P>

This will most definitely be a difficult choice to make.  I'm thoroughly enjoying the submissions.  Hope to have many more!
<HR>